<ng-container *ngIf="{ fmi: fmi$ | async, user: user$ | async } as vm">
  <app-page-form>
    <ng-container ngProjectAs="[page-form-content]">
      <h1>
        {{ 'fmi.read.seo.title' | translate }}
      </h1>

      <p>
        {{ 'fmi.read.seo.description' | translate }}
      </p>

      <app-async-button [loading]="loading.download">
        <button class="download" mat-stroked-button
                [disabled]="!vm.fmi"
                angulartics2On="click"
                angularticsLabel="pdf"
                angularticsAction="download"
                angularticsCategory="fmi-read"
                (click)="downloadPdf(vm.fmi)">
          <mat-icon>
            attachment
          </mat-icon>
          {{ 'fmi.read.action.download' | translate }}
        </button>
      </app-async-button>

      <app-fmi-read-intro [fmi]="vm.fmi" [user]="vm.user"></app-fmi-read-intro>
      <app-fmi-read-teams [fmi]="vm.fmi" [user]="vm.user" [formGroup]="formGroup"></app-fmi-read-teams>
      <app-fmi-read-scores [fmi]="vm.fmi"></app-fmi-read-scores>
      <app-fmi-read-sign [fmi]="vm.fmi" [user]="vm.user" [formGroup]="formGroup"></app-fmi-read-sign>
    </ng-container>
    <ng-container ngProjectAs="[page-form-footer]">
      <a mat-stroked-button color="accent"
         [routerLink]="previousRouteCommands.commands"
         [queryParams]="previousRouteCommands.queryParams"
         angulartics2On="click"
         angularticsAction="cancel"
         angularticsCategory="fmi-read">
        <mat-icon>
          cancel
        </mat-icon>
        {{ 'fmi.read.action.cancel' | translate }}
      </a>
      <app-async-button [loading]="loading.save" *ngIf="asAnyEnabledGroup(formGroup)">
        <button mat-flat-button color="primary"
                [disabled]="!vm.fmi"
                angulartics2On="click"
                angularticsLabel="sign"
                angularticsAction="save"
                angularticsCategory="fmi-read"
                (click)="sign(vm.fmi)">
          <mat-icon>
            save
          </mat-icon>
          {{ 'fmi.read.action.save' | translate }}
        </button>
      </app-async-button>
    </ng-container>
  </app-page-form>
</ng-container>
